#!/bin/bash

cargo test --release --features=fast -- --nocapture stats_test_trust_levels > trust_levels.log
cargo test --release --features=fast -- --nocapture stats_test_invitations > invitations.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_05 > blockage_migration_05.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_010 > blockage_migration_010.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_20 > blockage_migration_20.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_25 > blockage_migration_25.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_30 > blockage_migration_30.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_35 > blockage_migration_35.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_40 > blockage_migration_40.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_45 > blockage_migration_45.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_50 > blockage_migration_50.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_55 > blockage_migration_55.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_60 > blockage_migration_60.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_65 > blockage_migration_65.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_70 > blockage_migration_70.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_75 > blockage_migration_75.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_80 > blockage_migration_80.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_85 > blockage_migration_85.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_90 > blockage_migration_90.log
cargo test --release --features=fast -- --nocapture stats_test_percent_blockage_migration_95 > blockage_migration_95.log
cargo test release --features=fast -- --nocapture stats_test_percent_blockage_migration_100 > blockage_migration_100.log
echo "Completed all tests, now parsing results"
mv *.log Parsing-results
./parse_data.sh
echo "Parse results are in the Parsing-results folder."

